Get all projects of a team with pagination
curl --request GET \
--url https://api-eu.cybedefend.com/team/{teamId}/projectsimport requests
url = "https://api-eu.cybedefend.com/team/{teamId}/projects"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api-eu.cybedefend.com/team/{teamId}/projects', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"projects": [
{
"projectId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"teamId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"teamName": "<string>",
"name": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"riskScore": 123,
"riskLevel": "<string>",
"emailAlertEnabled": true,
"monthlyReportEnabled": true,
"weeklyReportEnabled": true,
"sastEnabled": true,
"dastEnabled": true,
"scaEnabled": true,
"containerEnabled": true,
"apiEnabled": true,
"iacEnabled": true,
"sastFastScanEnabled": true,
"sastSeverities": [],
"scaSeverities": [],
"iacSeverities": [],
"incidentCreationOption": "<string>",
"aiMergeRequestEnabled": true,
"improvingResultsEnabled": true,
"sortsVulnerabilitiesEnabled": true,
"scaTransitiveDependenciesEnabled": true,
"scaDevelopmentDependenciesEnabled": true,
"agentCategoriesSast": [
"<string>"
],
"agentCategoriesIac": [
"<string>"
],
"githubIssueEnabled": true,
"gitlabIssueEnabled": true,
"issueCreationBranches": [
"main",
"develop"
],
"referenceBranch": "main"
}
],
"totalProjects": 123,
"totalPages": 123
}{
"timestamp": "2025-02-18T12:31:18.491Z",
"service": "AiService",
"method": "startConversation",
"message": "Invalid parameters provided",
"code": 400
}Project
Get all projects of a team with pagination
GET
/
team
/
{teamId}
/
projects
Get all projects of a team with pagination
Path Parameters
Team ID
Query Parameters
Page number
Required range:
x >= 1Example:
1
Page size
Required range:
1 <= x <= 10Example:
10
Search query
Example:
"my-project"
⌘I